import { productTypeQuery } from '@/api/productType'
const ProductType = {
  template: `
      <a-cascader
        @change="handleChange"
        change-on-select
        :value="value"
        :options="productTypeList"
        :fieldNames="{ label: 'productTypeName', value: 'productTypeSn', children: 'children' }"
        :id="id"
        placeholder="请选择产品分类"
        allowClear />
    `,
  props: {
    defaultVal: {
      type: Array,
      defatut: function(){
        return []
      }
    },
    id: {
      type: String,
      default: ''
    },
  },
  data() {
    return {
      value: this.defaultVal,
      productTypeList: []
    };
  },
  mounted() {
    this.getProductType()
  },
  methods: {
    handleChange(value) {
      this.value = value;
      this.$emit('change', this.value);
    },
    //  产品分类列表
    getProductType () {
      productTypeQuery({}).then(res => {
        if (res.status == 200) {
          this.productTypeList = res.data
        } else {
          this.productTypeList = []
        }
      })
    }
  },
};

export default ProductType